# OHO - Openource Hardware Observatory
## Intro
### Demo
https://oho.zeitpunkt-agentur.org
### CSS
The styling of the page is in the CSS file: **[style.css](https://git.bmen.eu/Projekte/oho/src/master/style.css)**. In general, only the classes of elements of the media wiki have to be found out and transferred to the CSS. Some implementations are a bit more tricky and are described in more detail in this Readme.

### Images
All images are in the folder [/img](https://git.bmen.eu/Projekte/oho/src/master/img). There are sample images as well as individual icons, banner / footer backgrounds and logo files.

### Javascript
The Javascript Framework Jquery is used for this website. The javascript functions are saved in separate files in the [/js](https://git.bmen.eu/Projekte/oho/src/master/js) folder and named according to their task.
## Overview CSS classes homepage
![Overview CSS classes homepage](https://git.bmen.eu/Projekte/oho/raw/master/doc/overview_css_classes_home.png)

## z-index
```
.header {
  z-index:1003;
}
.search-results-item:hover {
  z-index:1002;
}
.row::before {
  z-index:1001;
}
.row::after {
  z-index:1001;
}
.searchbar {
  z-index:1000;
}
.search-results-item {
  z-index:999;
}
```
## Row - Background and red lines (CSS line: 51-87)
The rows who separating the content horizontally must be 100% wide. This means that the width restriction of the content must be made within the row. So the background color gradiation is in full width and the red lines are on the left and right side of the browser.

The red lines are purely CSS and no additionaly HTML elements have to be created.
```
.row::before {...}
.row::after {...}
```
## Search results grid
![](https://git.bmen.eu/Projekte/oho/raw/master/doc/search-results-grid.png)

Because of the hover effect, the search result item (.search-results-item) must be absolutely positioned. Therefore, it is important that there is a grid element (.col-1-4) above the search result item which is relatively positioned. And it needs even a minimum height, because the absolutely positioned search result item falls from the HTML flow.
